Skip to main content
GET
/
v1
/
traders
/
{trader_pubkey}
/
notifications
List trader notifications
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/traders/{trader_pubkey}/notifications \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "acked": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "data": "<unknown>",
      "eventIndex": 123,
      "id": 123,
      "instructionIndex": 123,
      "notificationType": "<string>",
      "recipientIndex": 123,
      "slot": 123,
      "slotIndex": 123,
      "source": "event",
      "details": {
        "base_lots_filled": 123,
        "price": 123,
        "side": "<string>",
        "symbol": "<string>",
        "type": "orderFilled"
      }
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

trader_pubkey
string
required

Trader pubkey (base58)

Query Parameters

limit
integer<int64> | null
cursor
string | null
unackedOnly
boolean | null

When true, return only unacked notifications with a fixed cap of 1000 (cursor and limit are ignored).

Response

200 - application/json
items
object[]
required

Notification item: discriminated union by source (event vs admin vs general).

nextCursor
string | null